LOTRO (Lord of the Rings Online)

A place where Linux Gamers can share their experience and help each other with Linux Games, native or emulated ;)

Moderator: Moderators

LOTRO (Lord of the Rings Online)

Postby HawkEye4077 » Sun Oct 13, 2013 11:10

Hi Folks,

Anyone play this game here ? I play it quite a bit - well I used to until I moved to Sabayon from FC. Seems Sab is too new :) The latest versions of Python generate some errors with the PyLotro launcher.

RuntimeError: the sip module implements API v10.0 to v10.1 but the PyKDE4.kdeui module requires API v9.2

If anyone knows of an easy way to around this can they let me know as the new update to the game is out soon and I really want to play that :)

If now I will have to try work out the wine command line - which isn't easy tried before.

Happy Gaming
Neil
Regards
Neil

Linux Registered User 324599
HawkEye4077
Young Hen
 
Posts: 26
Joined: Sat Oct 12, 2013 7:36
Location: Liverpool, UK

Re: LOTRO (Lord of the Rings Online)

Postby HawkEye4077 » Sat Oct 19, 2013 21:37

Well if anyone is interested this appears to be a casualty of an upstream Gentoo upgrade done before the rest of Python was. Hopefully once all the rest of the updates are complete it will work again (fingers crossed)

Neil
Regards
Neil

Linux Registered User 324599
HawkEye4077
Young Hen
 
Posts: 26
Joined: Sat Oct 12, 2013 7:36
Location: Liverpool, UK

Re: LOTRO (Lord of the Rings Online)

Postby throdon » Sun Oct 20, 2013 18:32

Search for DDO in the search box , read those posts. it's essentially the same set up.
Troll hunter with an overzealous nature
throdon
Advanced Hen
 
Posts: 229
Joined: Mon Aug 20, 2007 13:06
Location: Central valley, California

Re: LOTRO (Lord of the Rings Online)

Postby HawkEye4077 » Mon Oct 21, 2013 15:42

Hi,

Thanks for the response and yes you are right DDO and LOTRO are basically the same setup type and the y use the same Wine client. Installing the software isn't the problem for me though as it is already done. Proir to migrating to Sab it worked for several years. However as I posted I have a Python error. This same error happens with PyLotro (so this will affect LOTRO and DDO) and also Calibre. Searching the issue under Calibre revealed a post (sorry don't have the link to hand) where the poster mentioned that (I think it was) the Python SIP module was updated early in Gentoo before the rest of the Python upgrade was ready.

The poster of this info said the only real solution was to wait until the rest of the Python upgrades were completed and the build system has built everything ready to deploy. So for now I am doing other things (just bought a Rasberry Pi so I have things to do :) ) and hopefully in the next week or so both PyLotro and Calibre will be working again

Again thanks for the reply.
Regards
Neil

Linux Registered User 324599
HawkEye4077
Young Hen
 
Posts: 26
Joined: Sat Oct 12, 2013 7:36
Location: Liverpool, UK


Return to The Gamers Shed

Who is online

Users browsing this forum: No registered users and 1 guest